#!/usr/bin/perl -w

use strict;
use warnings;
use JSON;

my $APIKEY = "e1f10a1e78da46f5b10a1e78da96f525";
my $StationID = $ARGV[0] or scalar("KUTRIVER63");
my $Units = "m"; # e = imperial, m = metric

my $info = `curl -sm 1 "https://api.weather.com/v2/pws/observations/current?apiKey=$APIKEY&stationId=$StationID&numericPrecision=decimal&format=json&units=$Units"` or die "Error";

my $json = decode_json $info or die "Error";

my $loc   = %{$json}{"observations"}->[0]->{"stationID"};
my $temp  = %{$json}{"observations"}->[0]->{"metric"}->{"temp"};
my $windS = %{$json}{"observations"}->[0]->{"metric"}->{"windSpeed"};
my $windD = %{$json}{"observations"}->[0]->{"winddir"};

print "?:".$temp.":".$windS.":".$windD.":".$loc;
